### Class

# WebKit PrintOperation

#### Description [src]

    final class WebKit.PrintOperation : GObject.Object {
      /* No available fields */
    }

Controls a print operation.

A `WebKitPrintOperation` controls a print operation in WebKit. With a similar API to `GtkPrintOperation`, it lets you set the print settings with `webkit_print_operation_set_print_settings()` or display the print dialog with webkit_print_operation_run_dialog().

#### Ancestors

- GObject

#### Constructors

###### webkit_print_operation_new

Create a new `WebKitPrintOperation` to print `web_view` contents.

#### Instance methods

###### webkit_print_operation_get_page_setup

Return the current page setup of `print_operation`.

###### webkit_print_operation_get_print_settings

Return the current print settings of `print_operation`.

###### webkit_print_operation_print

Start a print operation using current print settings and page setup.

###### webkit_print_operation_run_dialog

Run the print dialog and start printing.

###### webkit_print_operation_set_page_setup

Set the current page setup of `print_operation`.

###### webkit_print_operation_set_print_settings

Set the current print settings of `print_operation`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.PrintOperation:page-setup

The initial `GtkPageSetup` for the print operation.

###### WebKit.PrintOperation:print-settings

The initial `GtkPrintSettings` for the print operation.

###### WebKit.PrintOperation:web-view

The `WebKitWebView` that will be printed.

#### Signals

###### WebKit.PrintOperation::failed

Emitted when an error occurs while printing. The given `error`, of the domain `WEBKIT_PRINT_ERROR`, contains further details of the failure. The `WebKitPrintOperation::finished` signal is emitted after this one.

###### WebKit.PrintOperation::finished

Emitted when the print operation has finished doing everything required for printing.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitPrintOperationClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.